# $Revision: 1.18 $, $Date: 2009/02/05 23:10:27 $
#
# Conditional build:
%bcond_without	bsf	# without BSF support
#
%define		_beta	b4
%define		srcname	beanshell
%include	/usr/lib/rpm/macros.java
Summary:	BeanShell - Lightweight Scripting for Java
Summary(pl.UTF-8):	BeanShell - lekkie skrypty dla Javy
Name:		java-beanshell
Version:	2.0
Release:	0.%{_beta}.4
License:	Sun Public License or LGPL
Group:		Development/Languages/Java
Source0:	http://www.beanshell.org/bsh-%{version}%{_beta}-src.jar
# Source0-md5:	49c9cc9872f26d562bffb1e5ec8aa377
Source1:	%{name}.sh
URL:		http://www.beanshell.org/
BuildRequires:	ant >= 1.3
BuildRequires:	antlr
%{?with_bsf:BuildRequires:	bsf}
BuildRequires:	java-gcj-compat-devel
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
BuildRequires:	unzip
Requires:	jpackage-utils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
BeanShell is a small, free, embeddable Java source interpreter with
object scripting language features, written in Java. BeanShell
dynamically executes standard Java syntax and extends it with common
scripting conveniences such as loose types, commands, and method
closures like those in Perl and JavaScript.

%description -l pl.UTF-8
BeanShell to mały, darmowy, osadzalny interpreter kodu źródłowego Javy
z cechami obiektowych języków skryptowych, napisany w Javie. BeanShell
dynamicznie wykonuje standardową składnię Javy i rozszerza ją o
popularne wygodne elementy skryptowe, takie jak luźne typy, polecenia
i dopełnienia metod podobnie jak Perl czy JavaScript.

%package javadoc
Summary:	BeanShell API documentation
Summary(pl.UTF-8):	Dokumentacja API BeanShell
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
BeanShell API documentation.

%description javadoc -l pl.UTF-8
Dokumentacja API BeanShell.

%package -n beanshell
Summary:	BeanShell shell startup script
Summary(pl.UTF-8):	Skrypt uruchamiający BeanShell
Group:		Applications
Requires:	%{name} = %{version}-%{release}
Requires:	jpackage-utils

%description -n beanshell
Shell script that runs beanshell as standalone application.

%description -n beanshell -l pl.UTF-8
Skrypt powłoki uruchamiający beanshell jako niezależną aplikację.

%prep
%setup -q -n BeanShell-%{version}%{_beta}

%build
required_jars="%{?with_bsf:bsf}"
export CLASSPATH=$(build-classpath $required_jars)
# javadoc calls shell via this variable
export SHELL=/bin/sh

%ant jarall javadoc \
	-Dbuild.compiler=gcj \
	%{!?with_bsf:-Dexclude-bsf='bsh/util/BeanShellBSFEngine.java,TestBshBSF.java'}

cp -R docs/manual/html manual

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_javadir},%{_javadocdir}/%{name}-%{version}}

# jars
install dist/bsh-%{version}%{_beta}.jar $RPM_BUILD_ROOT%{_javadir}
ln -sf bsh-%{version}%{_beta}.jar $RPM_BUILD_ROOT%{_javadir}/bsh.jar

cp -a javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

install %SOURCE1 $RPM_BUILD_ROOT%{_bindir}/beanshell

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(644,root,root,755)
%doc asm/README-asm.txt bsf/README src/{*.html,*.txt}
%doc docs/{faq/faq.html,images,manual}
%{_javadir}/*.jar

%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%files -n beanshell
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/beanshell

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-beanshell.spec,v $
Revision 1.18  2009/02/05 23:10:27  pawelz
- simplified

Revision 1.17  2009/02/05 22:41:01  pawelz
- fixed name
- typo in %%install

Revision 1.16  2009/02/05 22:36:22  pawelz
- renamed from beanshell.spec
- subpackage for launcher script

Revision 1.15  2009/02/05 18:52:37  pawelz
- it does not BRs servlet. What for?

Revision 1.14  2009/02/05 17:50:32  pawelz
- BR java-servletapi5, not "any" servlet

Revision 1.13  2009/02/05 15:55:02  pawelz
- BR: antlr
- set SHELL variable. javadoc calls shell via this variable.

Revision 1.12  2009/02/04 20:08:44  pawelz
- use java-gcj-compat-devel
- do not R: jre
- rel 4

Revision 1.11  2007/12/31 16:01:43  glen
- rel 3

Revision 1.10  2007-12-09 01:22:52  glen
- R: jpackage-utils for %{_javadir}; cosmetics/cleanups

Revision 1.9  2007-02-12 21:23:49  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.7  2006/12/08 01:01:55  glen
- -javadoc R: jpackage-utils for parent dirs; rel 2

Revision 1.6  2006/05/25 11:27:51  jajcus
- Version: 2.0b4
- BR: jpackage-utils, rpmbuild(macros) >= 1.300
- ExclusiveArch
- BR: servlet
- javadoc subpackage added

Revision 1.5  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.4  2005/08/14 12:00:27  glen
- cosmetics

Revision 1.3  2005/08/14 11:58:52  glen
- I see no arch specific files here. noarch the package

Revision 1.2  2005/05/08 14:31:24  qboosh
- BR: unzip

Revision 1.1  2005/05/08 13:35:58  qboosh
- new
